### Class

# Phosh WifiManager

since: 0

#### Description [src]

    final class Phosh.WifiManager : GObject.Object
    {
      /* No available fields */
    }

Tracks the Wi-Fi status and handle Wi-Fi credentials entry

Manages Wi-Fi information and state.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_wifi_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_wifi_manager_connect_network

No description available.

since: 0

###### phosh_wifi_manager_get_enabled

No description available.

since: 0

###### phosh_wifi_manager_get_icon_name

No description available.

since: 0

###### phosh_wifi_manager_get_networks

No description available.

since: 0

###### phosh_wifi_manager_get_present

No description available.

since: 0

###### phosh_wifi_manager_get_ssid

No description available.

since: 0

###### phosh_wifi_manager_get_strength

No description available.

since: 0

###### phosh_wifi_manager_is_hotspot_master

Whether we’re currently a hotspot master.

since: 0

###### phosh_wifi_manager_request_scan

No description available.

since: 0

###### phosh_wifi_manager_set_enabled

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WifiManager:enabled

Whether Wi-Fi is enabled and a Wi-Fi device is available.

since: 0

###### Phosh.WifiManager:icon-name

The Wi-Fi icon name.

since: 0

###### Phosh.WifiManager:is-hotspot-master

No description available.

since: 0

###### Phosh.WifiManager:networks

List of Wi-Fi networks.

since: 0

###### Phosh.WifiManager:present

Whether Wi-Fi hardware is present.

since: 0

###### Phosh.WifiManager:ssid

The Wi-Fi ssid, if connected.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshWifiManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.